> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
> Use this file to discover all available pages before exploring further.

# Run action

> Execute action



## OpenAPI

````yaml /openapi.json post /api/v1/action/{id}/run
openapi: 3.0.3
info:
  title: Extractor Project (dev)
  version: 0.0.649
servers: []
security: []
paths:
  /api/v1/action/{id}/run:
    post:
      tags:
        - Action Route
      summary: Run action
      description: Execute action
      parameters:
        - name: id
          in: path
          required: true
          schema:
            format: int64
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RunActionDto'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonObject'
      security:
        - SecurityScheme: []
components:
  schemas:
    RunActionDto:
      required:
        - severityLevel
      type: object
      properties:
        severityLevel:
          description: Severity level of the wallet action
          type: string
          allOf:
            - $ref: '#/components/schemas/SeverityLevel'
        message:
          description: Detailed message of the wallet action
          type: string
          example: This is a info message of the wallet action
        gasPrice:
          description: >-
            Gas price for action execution. Possible values are 100%/1.0
            gwei/1000000/'market'. Default: market
          pattern: ^(\d+(\.\d+)?|\d+(\.\d+)? gwei|\+?\-?\d+(\.\d+)?%|market)$
          type: string
          example: market
        gasLimit:
          format: int32
          description: 'Gas limit for action execution. Default: 10000000'
          type: integer
          example: 10000000
        gasTip:
          description: >-
            Gas tip for action execution. Possible values are 100%/1.0
            gwei/1000000. Default: ""
          pattern: ^(\d+(\.\d+)?|\d+(\.\d+)? gwei|\+?\-?\d+(\.\d+)?%)$|^$
          type: string
          example: '""'
        params:
          description: >-
            Input parameters of the function from the contract abi associated
            with the extractor action
          type: array
          items:
            $ref: '#/components/schemas/ParamDto'
    JsonObject:
      type: array
      items:
        type: object
        properties:
          key:
            type: string
          value: {}
    SeverityLevel:
      enum:
        - INFO
        - LOW
        - MEDIUM
        - HIGH
        - CRITICAL
      type: string
    ParamDto:
      required:
        - name
        - value
      type: object
      properties:
        name:
          description: Param name
          minLength: 1
          type: string
        value:
          description: Param value
          minLength: 1
          type: string
  securitySchemes:
    SecurityScheme:
      type: http
      description: Authentication
      scheme: bearer
      bearerFormat: JWT

````